org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOFeatureDelta.WithIndex

- Enclosing interface:
    InternalCDOFeatureDelta

      public static interface InternalCDOFeatureDelta.WithIndex

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustAfterAddition(int index)`
    `void` | `adjustAfterMove(int oldPosition, int newPosition)`
    `void` | `adjustAfterRemoval(int index)`
    `int` | `getIndex()`

- - ### Method Detail

    - #### getIndex

          int getIndex()

      Since:
        4.6

    - #### adjustAfterAddition

          void adjustAfterAddition(int index)

    - #### adjustAfterRemoval

          void adjustAfterRemoval(int index)

    - #### adjustAfterMove

          void adjustAfterMove(int oldPosition,
                               int newPosition)

      Since:
        4.6

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html